Announcement

Collapse
No announcement yet.

EspoCRM 6.0.0 released

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • EspoCRM 6.0.0 released

    Compatibility:
    • Dropped MyISAM support #1775

    Enhancements:
    • Import: Ability to run import with parameters of a previously run import #1736
    • Import: Ability to resume failed import from the last processed row #1735
    • Import: Ability to run from CLI #1734
    • Emails: Ability to insert record field values when compose #1730
    • Admin panel: Quick search #1756
    • Console: Command printing all available container services #1748
    • Formula: Language translate functions #1783
    • Formula: json\retrieve function #1796
    • Image field: 'Preview size in list view' parameter #1799
    • Campaign Log: Search by email address and queue item ID #1811

    Improvements:
    • Emails: Hiding modal window dialog after Send button is clicked #1737
    • Mass Email: Teams of campaign record are copied to all sent emails #1780
    • Email Accounts: TLS support for IMAP #1791
    • Admin panel: Quick search #1756

    Backend:
    • Codebase improvements #1743
    • Dependency Injection improvements #1739
    • ORM improvements #1766
    • Ability to customize classes in module folder improvement #1738
    • Entities automatically created for many-to-many relationship tables #1767
    • New email sender service #1778
    • Users: Removal of 'isAdmin', 'isPortal', 'isSuperAdmin' fields #1746
    • Preloading support #1773
    • New method signature for controller actions #1776

    Changes:
    • Contacts: Using 'Account' filter will search by a primary account, not by all accounts as before #1772

    All issues: https://github.com/espocrm/espocrm/m...ne/96?closed=1

  • #2
    Hi, congratulations and thank you for the good work.

    Is it possible to update from 6.0.0_beta4? or do I have to install a complete 6.0.0.?

    Comment


  • #3
    Version 5.9.4 all ok
    Version 6.0.0:

    "Cannot handle 'order' for 'account'"


    Entity Defs JSON have:

    Code:
    "fullInfo": {
    "name": "fullInfo",
    "label": "Полная информация",
    "type": "jsonObject",
    "dynamicLogicVisible": null,
    "dynamicLogicReadOnly": null,
    "inlineEditDisabled": true,
    "tooltip": false,
    "isCustom": true
    },
    
    "ratingCount": {
    "type": "int",
    "notStorable": true,
    "select": "CAST(json_value(account.full_info, '$.ratingData.ratingCount') AS UNSIGNED INTEGER)",
    "readOnly": true,
    "audited": false,
    "tooltip": false,
    "isCustom": true,
    "orderBy": "ratingCount {direction}"
    },
    Error log record:
    [2020-10-22 13:49:08] Espo.ERROR: (0) Could not handle 'order' for 'Account'.; GET /Account; line: 1916, file: /home/petunicrm/public_html/application/Espo/ORM/QueryComposer/BaseQueryComposer.php [] []
    Last edited by dimyy; 10-22-2020, 02:51 PM.

    Comment


    • yuri
      yuri commented
      Editing a comment
      Try

      "orderBy": "CAST(json_value(account.full_info, '$.ratingData.ratingCount') AS UNSIGNED INTEGER) {direction}"

    • dimyy
      dimyy commented
      Editing a comment
      Unfortunately the same result
      Could not handle 'order' for 'Account'.; GET /Account; line: 1916, file: /home/petunicrm/public_html/application/Espo/ORM/QueryComposer/BaseQueryComposer.php [] []

    • yuri
      yuri commented
      Editing a comment
      You need to use "order" key instead of "orderBy".

      "order": "CAST( ..."

  • #4
    Hello Yuri,
    nice work .. thanks.

    5.9.4 => V6

    "Error: EspoCRM 6.0.0 is not compatible with Google Integration extension of a version lower than 1.4.2. Please upgrade the extension or uninstall it. Then run the upgrade command again.
    "

    It's because "before split extention" ... .but now we use "Outlook integration". so we don't have "Google integration"

    Regards

    Comment


    • yuri
      yuri commented
      Editing a comment
      Are you sure you don't have Google Integration installed?

    • item
      item commented
      Editing a comment
      Sorry Yuri,
      i have uninstalled old google extension .. and install was perfecly worked.

      Thanks for all

  • #5


    Hello, trying to update to 6 the system replies that you can only update from the CLI, my problem is that I cannot access the CLI on the hosting I use, how can I update?

    Comment


    • yuri
      yuri commented
      Editing a comment
      Option 1. Copy the instance to a local server an upgrade there.

      Option 2. Download the upgrade package from the website, unzip it, remove the code from the beforeUpgrade script that forbids upgrading from UI. Then zip it.

    • shalmaxb
      shalmaxb commented
      Editing a comment
      Hi, i tried Option 2 in file scripts/beforeUpgrade.php. I removed line 38 $this->processCheckCLI(); and tried with varying removing of lines 47 to 53.
      I still get the error, this update can only be run from CLI.

      My provider recommended to run a one-time cron with the command (as written in the documentation), but when I do that, the server tells me, that the command is not accepted. How would a cron command look like?

  • #6

    i also have the google extension problem. So if I uninstall the extension and update all 6 it works but then I have to buy the google extension again because 1.4.2 is not compatible and the extension's aggs expired on 2020-06-26 Right?

    Comment


    • yuri
      yuri commented
      Editing a comment
      You can fix the incompatibilities manually. But it'd recommend purchase a license. We offer discounts for license extending.

  • #7
    Hooray v6.

    ---

    If anyone using the Real Estate extension, you need to update it to v1.4.0 before you can upgrade. But it won't let you update because you are not on v6; so you need to Uninstall it; update to v6 and re-install Extension 1.4.0

    Also your system need to be on 5.9.4 before you can go to v6, so you will need to update a few time.

    ---

    Also be careful if you are on Shared host; I got hit with an error:
    SQLState[HY000] [1226] User has exceeded the 'max_user_connection".
    Last edited by espcrm; 10-23-2020, 04:12 AM.

    Comment


    • #8
      Hi, could anybody provide the command for updating from 5.9.4 to 6.0.0 via cron (one-time)?

      Comment


      • Kyle
        Kyle commented
        Editing a comment
        Hi, Something like this should work
        cd /home/user/installedDir/; php command.php upgrade -y --file="/home/user/upgpackage.zip"

      • shalmaxb
        shalmaxb commented
        Editing a comment
        Hi, thank you. after a bit of tweaking, I managed to update via cron. Your command led me in the right direction.

    • #9
      Is there a safe way to downgrade from 6.0.1 to 5.9.4? I've been having issues after upgrade when exporting using "select all". Custom fields and linked fields will be empty or 0 depending the field-type.

      Comment


      • yuri
        yuri commented
        Editing a comment
        Fix: https://github.com/espocrm/espocrm/c...588afef8a0b0f6

      • murugappan
        murugappan commented
        Editing a comment
        Annuar, was your problem resolved yet? Appreciate if you can give us an update. Will be helpful. I have a problem that has not been addressed for 10 days now. Thank you.

      • anuar
        anuar commented
        Editing a comment
        Yes problem was solved quickly with hotfix 6.0.3

    • #10
      Originally posted by anuar View Post
      Is there a safe way to downgrade from 6.0.1 to 5.9.4? I've been having issues after upgrade when exporting using "select all". Custom fields and linked fields will be empty or 0 depending the field-type.
      yuri now it's partially fixed. When exporting all fields it works. But with "Select All Results" then export selecting fields it doesn't.

      Comment


      • yuri
        yuri commented
        Editing a comment
        Please describe the issue more detail. A separate topic would be good.

        It was a fix applied only for 'select all results'. I tested and it seemed to work fine.

    • #11
      Originally posted by anuar View Post

      yuri now it's partially fixed. When exporting all fields it works. But with "Select All Results" then export selecting fields it doesn't.
      Well it's the same issue of "select all results". When you "select all results" then instead of "export all fields" you just choose one or more fields.

      Comment


      • yuri
        yuri commented
        Editing a comment
        I can't fix what I can't reproduce.

    • #12
      Originally posted by anuar View Post

      Well it's the same issue of "select all results". When you "select all results" then instead of "export all fields" you just choose one or more fields.
      New topic, will update it with screenschots
      https://forum.espocrm.com/forum/bug-...ct-all-results

      Comment

      Working...
      X